summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGöktürk Yüksek <gokturk@gentoo.org>2020-01-27 21:29:52 -0500
committerGöktürk Yüksek <gokturk@gentoo.org>2020-01-27 21:31:37 -0500
commit241efd3f12c3a5c0fe92042a66e6aa139ac5e2ba (patch)
tree21f18b855d6f7ef3a6c5a4405371a615f8df0a9a /net-fs/davfs2
parentacct-user/davfs2: initial commit (diff)
downloadgentoo-241efd3f12c3a5c0fe92042a66e6aa139ac5e2ba.tar.gz
gentoo-241efd3f12c3a5c0fe92042a66e6aa139ac5e2ba.tar.bz2
gentoo-241efd3f12c3a5c0fe92042a66e6aa139ac5e2ba.zip
net-fs/davfs2: bump to 1.5.6
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>
Diffstat (limited to 'net-fs/davfs2')
-rw-r--r--net-fs/davfs2/Manifest1
-rw-r--r--net-fs/davfs2/davfs2-1.5.6.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/net-fs/davfs2/Manifest b/net-fs/davfs2/Manifest
index 3854955c8ee..26290574483 100644
--- a/net-fs/davfs2/Manifest
+++ b/net-fs/davfs2/Manifest
@@ -1,2 +1,3 @@
DIST davfs2-1.5.4.tar.gz 478377 BLAKE2B 25c7dba1a6cda384a60c8ce2e0a56d5c805f5c30f35f086bfe1f55ee4eb79b8228beca2e7214e9858a1c49c8f782c6de8f4f0631cf0e2090991a0e35ba5d8ed2 SHA512 08550f171f4b196f55f3fb71c6c75ed24063f8a5afc31c52502d0c911cf7aca4da01f7a123269d410dadc497c44ef5a3573e455aca6eafe48eb86f18429b94b2
DIST davfs2-1.5.5.tar.gz 481021 BLAKE2B bff2f1a48caa74009209ea1422b20d46022358339f650228584ed1d7b8218be9fd360666cdd3f12a9e110af36caadc7de2daf4134ed4a34f498999ff09f6327a SHA512 3a660b29eab15226acf3cc896ec387beb96cb4a94beae40d5970d8d4f7f370afb7da2b637584d953b5dc342d81454d9a954990b04f3cb032fb2a0a469fd7983c
+DIST davfs2-1.5.6.tar.gz 481448 BLAKE2B 44a36d78f77222356dcde7733bd2aacc1b643c14d9d441b480002140881007f26fe4addb8dc70f3d3d185bdbe6eb4e74c7e8cb0539c035f220ed865c4526d3c1 SHA512 97c3f2eef93b418d89bb387a441d0624d4eb3de614973e3f25ded5e29d6913c7aa724022b610ff36d050ca11db63c47651413a93297e235725a42879bc8ac0c2
diff --git a/net-fs/davfs2/davfs2-1.5.6.ebuild b/net-fs/davfs2/davfs2-1.5.6.ebuild
new file mode 100644
index 00000000000..320e82d5c52
--- /dev/null
+++ b/net-fs/davfs2/davfs2-1.5.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Linux FUSE (or coda) driver that allows you to mount a WebDAV resource"
+HOMEPAGE="https://savannah.nongnu.org/projects/davfs2"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="nls"
+RESTRICT="test"
+
+RDEPEND="dev-libs/libxml2
+ net-libs/neon
+ sys-libs/zlib
+ nls? ( virtual/libintl virtual/libiconv )
+"
+DEPEND="${REPEND}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="${RDEPEND}
+ acct-group/davfs2
+ acct-user/davfs2
+"
+
+src_prepare() {
+ # Let the package manager handle man page compression
+ sed -e '/^manual[58]_DATA/ s/\.gz//g' \
+ -i "${S}"/man/Makefile.in || die
+
+ eapply "${FILESDIR}"/${PN}-1.5.5-gcc-10.patch
+
+ default
+}
+
+src_configure() {
+ econf --enable-largefile $(use_enable nls)
+}
+
+pkg_postinst() {
+ elog
+ elog "Quick setup:"
+ elog " (as root)"
+ elog " # gpasswd -a \${your_user} davfs2"
+ elog " # echo 'https://path/to/dav /home/\${your_user}/dav davfs rw,user,noauto 0 0' >> /etc/fstab"
+ elog " (as user)"
+ elog " \$ mkdir -p ~/dav"
+ elog " \$ mount ~/dav"
+ elog
+}